
%define name pdfjam
%define version 2.08
%define release %mkrel 2 

Summary:	PDF tool
Summary(de):	PDF Werkzeug zum Manipulieren von PDF-Dateien
Name: 		%{name} 
Version: 	%{version} 
Release: 	%{release} 
Url:		http://www2.warwick.ac.uk/fac/sci/statistics/staff/academic/firth/software/pdfjam/
Group:		File tools
License:	GPL 
BuildArch:  	noarch
Source0:        %{name}_%{version}.tar.xz
Requires:	texlive
Requires:	texlive-texmf
Requires:	%{name}-pdfjoin
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot 

 
%description  
PDFjam is a small collection of shell scripts which provide a
simple interface to some of the functionality of the excellent
pdfpages package (by Andreas Matthias) for pdfLaTeX.

At present the utilities available are: 

pdfnup, which allows PDF files to be "n-upped"
in roughly the way that psnup does for PostScript files.  

pdfjoin, which concatenates the pages of multiple PDF files
together into a single file.

pdf90, which rotates the pages 
of one or more PDF files through 90 degrees (anti-clockwise).

Further utilities contained:
pdf180, pdf270, pdfbook, pdfflip, pdfjam, pdfjam-pocketmod,
pdfjam-slides3up, pdfjam-slides6up and pdfpun

In every case, source files are left unchanged.

%description -l de
PDFjam ist eine kleine Sammlung von Shell-Skripten, die eine
einfache Schnittstelle zu einigen Funktionen des exzellenten
pdfpages Paket (von Andreas Matthias) für pdfLatex bietet.

Derzeitig sind die folgenden Werkzeuge verfügbar:

pdfnup, dies erlaubt es PDF-Dateien "n-upped" zu machen,
so wie es in etwa psnup mit PostScript Dateien macht.

pdfjoin, dies fügt die Seiten mehrerer PDF-Dateien zu einer
einzelnen PDF-Datei zusammen.

pdf90, dies rotiert die Seiten einer oder mehrerer PDF-Dateien um 90°
(entgegen dem Uhrzeiger).

Weitere enthaltene Werkzeuge:
pdf180, pdf270, pdfbook, pdfflip, pdfjam, pdfjam-pocketmod,
pdfjam-slides3up, pdfjam-slides6up and pdfpun

In jed


%package -n %{name}-pdfjoin
Group: File tools
Summary: A small script to join pdf files.

%description -n %{name}-pdfjoin
A small script to join pdf files.


%prep

rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n %{name}

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp bin/* ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/man/man1
cp man1/* ${RPM_BUILD_ROOT}%{_datadir}/man/man1
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
cp pdfjam.conf ${RPM_BUILD_ROOT}%{_sysconfdir}

%clean  
rm -rf ${RPM_BUILD_ROOT} 
 
%files   
%defattr(0755,root,root)
%doc COPYING VERSION pdfdroplets.png PDFjam-README.html
%{_sysconfdir}/*
%{_datadir}/man/man1*
%{_bindir}/pdf180
%{_bindir}/pdf270
%{_bindir}/pdf90
%{_bindir}/pdfbook
%{_bindir}/pdfflip
%{_bindir}/pdfjam
%{_bindir}/pdfjam-pocketmod
%{_bindir}/pdfjam-slides3up
%{_bindir}/pdfjam-slides6up
%{_bindir}/pdfnup
%{_bindir}/pdfpun

%files -n %{name}-pdfjoin  
%defattr(0755,root,root)
%{_bindir}/pdfjoin


%changelog
* Tue May 07 2013 Texstsar <texstar at gmail.com> 2.08-2pclos2013
- split at pdfjoin per user request

* Mon Apr 09 2012 Neal <nealbrks0 at gmail dot com> 2.08-1pclos2012
- process

* Sun Apr 08 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.08-1pclos2012
- replaced tetex by texlive, tetex does not containing the required latex packages
- added copy and entry in files section for the config file
- updated english description
- added german summary and description

* Wed Jan 04 2011 Texstar <texstar at gmail.com> 1.21-2pclos2010
- add missing dep tetex-latex

* Thu Feb 25 2010 slick50 <lxgator@gmail.com> 1.21-1pclos2010
- 1.21


